# Class default

#### Implements

- IpfsNode

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:16

#####
Index

### Constructors

constructor

### Properties

nodeType

### Accessors

config
isStarted

### Methods

add
cat
connectPeer
getPeers
info
init
ls
pin
start
stat
stop

##
Constructors

### constructor

- new default(): default

- #### Returns default

##
Properties

### `Readonly` nodeType

nodeType: IpfsNodeType = 'embedded'

Implementation of IpfsNode.nodeType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:17

##
Accessors

### config

- get config(): {
  gatewayUrl: string;
  }

- #### Returns {
  gatewayUrl: string;
  }

  - ##### gatewayUrl: string

  Implementation of IpfsNode.config

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:19

### isStarted

- get isStarted(): boolean

- #### Returns boolean

  Implementation of IpfsNode.isStarted

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:25

##
Methods

### add

- add(content, options?): Promise<string>

- #### Parameters

  - content: string | File
  - options: AbortOptions = {}

  #### Returns Promise<string>

  Implementation of IpfsNode.add

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:61

### cat

- cat(cid, options?): AsyncIterable<Uint8Array>

- #### Parameters

  - cid: string
  - options: CatOptions = {}

  #### Returns AsyncIterable<Uint8Array>

  Implementation of IpfsNode.cat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:57

### connectPeer

- connectPeer(address): Promise<boolean>

- #### Parameters

  - address: string

  #### Returns Promise<boolean>

  Implementation of IpfsNode.connectPeer

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:76

### getPeers

- getPeers(): Promise<string[]>

- #### Returns Promise<string[]>

  Implementation of IpfsNode.getPeers

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:69

### info

- info(): Promise<{
  agentVersion: string;
  id: string;
  repoSize: number;
  }>

- #### Returns Promise<{
  agentVersion: string;
  id: string;
  repoSize: number;
  }>

  Implementation of IpfsNode.info

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:88

### init

- init(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.init

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:31

### ls

- ls(): AsyncIterable<LsResult>

- #### Returns AsyncIterable<LsResult>

  Implementation of IpfsNode.ls

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:84

### pin

- pin(cid, options?): Promise<string>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<string>

  Implementation of IpfsNode.pin

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:65

### start

- start(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.start

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:74

### stat

- stat(cid, options?): Promise<IpfsFileStats>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<IpfsFileStats>

  Implementation of IpfsNode.stat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:41

### stop

- stop(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.stop

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/js-ipfs.ts:73